Skip to navigation

Deny a marketplace demo access request

View as Markdown

Deny a REQUESTED access request. Optional denial_reason body field explains the decision to requesters.

Required scopes (any one):

  • air:admin (roles: air_admin)
  • air:sre (roles: air_sre)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this marketplace demo access request.

Request

This endpoint expects an object.
denial_reasonstringOptional<=2048 charactersDefaults to
Optional explanation from the reviewer.

Response

idstringRead-onlyformat: "uuid"
createddatetimeRead-only
modifieddatetimeRead-only
publish_access_recordstringRead-onlyformat: "uuid"
UUID of the marketplace demo publish access record.
marketplace_demostringRead-only
UUID of the marketplace demo this access request applies to.
marketplace_demo_namestring or nullRead-only
Name of the marketplace demo this access request applies to.
requesting_orgstring or nullRead-only

Human-readable name of the organization requesting access.

requesting_org_display_namestring or nullRead-only
Requesting org display name. Same source as list search and ordering for this field.
requesting_org_ngc_org_namestring or nullRead-only
Requesting org NGC name. Same source as list search and ordering for this field.
requested_bylist of stringsRead-only
Emails of users from the requesting org who submitted this request.
reviewed_bystring or nullRead-only
Email of the community manager who last reviewed this request.
statusenum

Current status of the access request.

  • REQUESTED - Requested
  • GRANTED - Granted
  • DENIED - Denied
  • REVOKED - Revoked
  • CLOSED - Closed
Allowed values:
company_namestringRead-only

Free-text company name provided by the requester.

justificationstringRead-only

Optional text from requesters explaining why access is needed. Same-org re-submissions append additional entries.

denial_reasonstringRead-only
Reason provided by the reviewer when denying this request.
requested_atdatetime or nullRead-only
When the current or most recent request was submitted.
reviewed_atdatetime or nullRead-only

When a community manager last reviewed this request (accept, deny, revoke, or close).

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error